//for HelloTalk moment to extract utl image
(function(){


	function checkCss(node)
	{
		var reg 	=	/url\(("|')?(http(s)?:\/\/.*?)('|")?\)/g
		if(node.style['background-image'] || node.style['background']){
			var attr 	=	node.style['background-image'] || node.style['background']
			var res = reg.exec(node.style['background-image'])
			if(res){
				return res[1]
			}
		}else{
			var sty	 = window.getComputedStyle(node)
			var background 			=	sty.getPropertyValue('background')
			var res	=	false
			res=reg.exec(background)
			if(background && res){
				return res[1]
			}
			var background_image 	=	sty.getPropertyValue('background-image')

			res=reg.exec(background_image)
			if(background_image && res) {
				return res[1]
			}

		}
		return false

	}

	function takeClassNode(log0){
		if(!log0){
			return false
		}
		var logImg 	=	checkCss(log0)
		if(logImg){
			return logImg
		}
		var nodes =	log0.getElementsByTagName('*');
		for(var i=0;i<nodes.length;i++){
			var logImg 	=	checkCss(nodes[i])
			if(logImg){
				return logImg
			}
		}
		return false
	}

	var log  		= 	document.getElementsByClassName('logo');
	var logoImg 	=	takeClassNode(log[0])
	if(logoImg){
		return logoImg;
	}

	var images 		= document.getElementsByTagName('img');

	var imageArr 	=	[];
	var smallPic 	=	[];

	function pusgNice(imgUrl,pimageArr){
		if(!imgUrl || imgUrl==''){
			return;
		}
		var preFix 	=	imgUrl.substr(0,2)

		if(preFix=='//'){
			imgUrl	=	 document.location.protocol+imgUrl
		}

		var postFix = imgUrl.substr(-3,3).toLowerCase()
		if(  postFix!='svg' && postFix!='gif' && imgUrl.substr(0,4)=='http'){
			pimageArr.push(imgUrl)
		}
	}

	if(images){
		for(var i = 0 ;i<images.length;i++){
			var dd=images[i]
			dd.className=''
			dd.width 	=	(dd.width==0) ? 50 : dd.width
			dd.height 	=	(dd.height==0) ? 50 : dd.height
			if (dd.width/dd.height>=2.5 || dd.height/dd.width>=2.5 || dd.width<30 || dd.height<30){
				pusgNice(images[i].src,smallPic)
				continue;
			}
			pusgNice(images[i].src,imageArr)
		}
		for(var i = 0 ;i<images.length;i++){
			var dd=images[i]
			if (images[i].dataset){
				pusgNice(images[i].dataset.src,imageArr)
			}
		}
	}
	if(imageArr.length>0){
		return imageArr[0]
	}

	function saveTagImg(tagname){
		var span = document.getElementsByTagName(tagname);
		if(span){
			for(var i = 0 ;i<span.length;i++){
					var url = checkCss(span[i])
					if(url && 'svg' != url.substr(-3,3).toLowerCase()){
						pusgNice(url,imageArr)
						break;
					}
			}
		}
	}

	saveTagImg('span');

	if(imageArr.length==0){
		saveTagImg('i');
	}
	if(imageArr.length==0){
		saveTagImg('a');
	}

	if(imageArr.length==0){
		saveTagImg('div');
	}

	return  imageArr[0] || smallPic[0]

})()