/*
	重要提示：
	因为安卓webview的特殊，
	每一行结束都要要 ； 结尾
	注释代码只能用 ** 注释。
*/

(function () {
	var title = document.title;
	var tags = ['h1', 'h2', 'p'];

	function getDesContent(tag, cpm) {
		var metas = document.getElementsByTagName('meta');

		for (var i = 0; i < metas.length; i++) {
			var og = metas[i].getAttribute(tag);
			if (og == cpm) {
				return metas[i].getAttribute("content");
			}
		}

		return "";
	}

	function getText(tag) {
		var all = document.getElementsByTagName(tag);
		var text = '';
		for (var i = 0; i < all.length; i++) {
			text = all[i].innerText;
			if (text.length > 2) {
				break;
			}
		}
		return text;
	}

	/**/
	/* some site we extract from : */
	function getDescForEachSiteText(classname) {

		/*if its youtube mobile or some other  site*/
		var pp = window.document.getElementsByClassName(classname);
		if (pp && pp.length > 0) {
			var title = pp[0].innerText;
			if (title.length > 0) {
				return title;
			}
		}
		return '';
	}

	var textog = getDesContent('property', 'og:description');
	var text = getDesContent('name', 'description');

	if (textog.length > 0 || text.length > 0) {
		return textog.length >= text.length ? textog : text;
	}

	/*微信的标题特殊处理*/
	if ( typeof window.msg_title !='undefined' && window.msg_title.length>3 ) {
			return window.msg_title;
	}

	var host = document.location.hostname;
	var getList = [
		['youtube.com','slim-video-metadata-description'],
		['youtube.com','slim-video-metadata-title'],
		['youtu.be','slim-video-metadata-title']
	];

	for (var i = 0; i < getList.length; i++) {
		if(-1 != host.indexOf(getList[i][0])){
			text = getDescForEachSiteText(getList[i][1]);
			if (text.length > 2) { 
				 return text;
			}
		}
	}

	for (var i = 0; i < tags.length; i++) {
		text = getText(tags[i]);
		if (text.length > 2) { 
				break;
		}
	}
	return text;
})();
