/*
	重要提示：
	因为安卓webview的特殊，
	每一行结束都要要 ； 结尾
	注释代码只能用 ** 注释。
*/

(function () {

	var imageArr = [];
	var smallPic = [];
	var hashtvideo = '';
	var vodT = document.getElementsByTagName('video');

		if (vodT && vodT.length) {
			hashtvideo = 'hashtvideo';
		}

	function appendVedio(url) {
		if (hashtvideo != '') {
			if (url.indexOf('?') == -1) {
				return url + '?hashtvideo';
			} else {
				return url + '&hashtvideo';
			}
		}

		return url;
	}

	function checkCss(node) {
		var reg = /url\(("|')?(http(s)?:\/\/.*?)('|")?\)/g;
		var bcImg = 'background-image';
			if (node.style[bcImg] || node.style['background']) {
				var attr = node.style[bcImg] || node.style['background'];
				var res = reg.exec(node.style[bcImg]);
				if (res) {
					return res[2];
				}

			} else {
				var sty = window.getComputedStyle(node);
				var background = sty.getPropertyValue('background');
				var res = false;
				res = reg.exec(background);
				if (background && res) {
					return res[2];
				}

				var background_image = sty.getPropertyValue(bcImg);

				res = reg.exec(background_image);
				if (background_image && res) {
					return res[2];
				}

			}
			return false;
	}

	function takeClassNode(log0) {
		if (!log0) {
			return false;
		}
		var logImg = checkCss(log0);
		if (logImg) {
			return logImg;
		}
		var nodes = log0.getElementsByTagName('*');
		for (var i = 0; i < nodes.length; i++) {
			var logImg = checkCss(nodes[i]);
			if (logImg) {
				return logImg;
			}

		}
		return false;
	}

	function pusgNice(imgUrl, pimageArr, wid, hei, fix) {
		if (!imgUrl || imgUrl == '' || imgUrl.substr(0, 5) == 'data:') {
			return;
		}
		var preFix1 = imgUrl.substr(0, 1);
		var preFix2 = imgUrl.substr(1, 1);
		if (preFix1 == '/' && preFix2 == '/') {
			imgUrl = document.location.protocol + imgUrl;
		}
		if (preFix1 == '/' && preFix2 != '/') {
			imgUrl = document.location.protocol + '//' + window.location.host + imgUrl;
		}

		var postFix = fix || imgUrl.substr(-3, 3).toLowerCase();

		var niceFix = {
			jpg : 'jpg',
			webp : 'jpg',
			jpeg : 'jpg',
			png : 'png'
		};

		var fiss = [['jpg', 'jpg'], ['webp', 'jpg'], ['jpeg', 'jpg'], ['png', 'png']];

		if (postFix != 'svg' && imgUrl.substr(0, 4).toLowerCase() == 'http') {

			imgUrl = imgUrl.replace('"', '').replace(')', '').replace("'", '');
			if (!niceFix[postFix]) {
				for (var i = 0; i < fiss.length; i++) {
					var nih = imgUrl.toLowerCase().indexOf(fiss[i][0]);
					if (nih != -1) {
						postFix = fiss[i][1];
						break;
					}
				}

				postFix = 'jpg';
			}

			pimageArr[imgUrl] = {
				s : imgUrl,
				w : wid || 10,
				h : hei || 10,
				p : postFix
			};
		}
	}

	function getIco() {
		var rurl = false;
		var comprurl = false;
		var shortcut = false;
		var links = document.getElementsByTagName("link");

		for (var i = 0; i < links.length; i++) {
			var link = links[i];
			if (link.rel) {
				var nowRel = link.rel;
					if (nowRel.indexOf("apple-touch-icon-precomposed") === 0) {
						comprurl = link.href;
						break;
					}

					if (nowRel.indexOf("apple-touch-icon") === 0) {
						rurl = link.href;
					}

					if (nowRel.indexOf("shortcut") === 0 || nowRel.indexOf("ico") == 0) {
						shortcut = link.href;
					}
			}
		}

		return (comprurl || rurl) || shortcut;
	}

	function gatherImage(images) {
		var host = document.location.hostname;
		var path = window.location.pathname;
		/*微信的封面图*/
		if (window.msg_cdn_url) {
			pusgNice(window.msg_cdn_url, imageArr, 5000, 5000, 'jpg');
			return;
		}

		if (path == '/' || path == '/index.html' || path == '/index.htm') {
			var ico = getIco();
			if (ico) {
				pusgNice(ico, imageArr, 5000, 5000, 'jpg');
			}

		}

		if (-1 != host.indexOf('youku.com') || -1 != host.indexOf('tudou.com')) {
			var ico = getIco();
			if (ico) {
				pusgNice(ico, imageArr, 5000, 5000, 'jpg');
			}

		}

		var dom = {
			'div' : ['youtube.com', 'aol.com', 'metacafe.com', 'v.qq.com', 'dailymotion.com', 'acfun.tv'],
			'i' : ['facebook.com']
		};

		for (var tag in dom) {
				var divFirst = dom[tag];
				for (var i = 0; i < divFirst.length; i++) {
					if (host.indexOf(divFirst[i]) != -1) {
						saveTagImg(tag, 1000, 1000);
						break;
					}
				}

		}

		if (images) {
			for (var i = 0; i < images.length; i++) {
				var dd = images[i];
				var aSrc = dd.attributes.getNamedItem('src');
				if (!dd.src || !aSrc || (!dd.dataset.src && aSrc.value == '')) {
					continue;
				}

				dd.className = '';
				var width = dd.width || dd.naturalWidth;
				var height = dd.height || dd.naturalHeight;
				width = (width < 2) ? 50 : width;
				height = (width < 2) ? 50 : height;
				if (width / height >= 2.2 || height / width >= 2.2 || width < 70 || height < 70) {
					pusgNice(dd.src, smallPic, width, height);
					continue;
				}

				pusgNice(dd.src, imageArr, width, height);
			}

			for (var i = 0; i < images.length; i++) {
				var dd = images[i];
				if (dd.dataset && dd.dataset.src) {
					var width = dd.width || dd.width;
					var height = dd.height || dd.height;
					pusgNice(dd.dataset.src, imageArr, width, height);
				}
			}

		}
	}

	function returnBig(imageArr) {

		var idx = 0;
		var sqr = 0;
		var allsqr = 0;
		var firstO = 0;
		var firstIm = 0;
		var firstNJpg = 0;
		var firstJpg = 0;
		var size = 0;
		for (var k in imageArr) {
			var p = imageArr[k];
			if (typeof p == 'object') {
				allsqr = allsqr + p.w * p.h;
				if (firstO == 0) {
					firstO = firstIm = k;
				}

				if (firstJpg == 0 && p.p == 'jpg') {
					firstJpg = firstIm = k;
				}

				size++;
			}

		}
		if (size == 0) {
			return false;
		}
		var avgSqr = allsqr / size;
		for (var k in imageArr) {
			var p = imageArr[k];

			if (typeof p != 'object') {
				continue;
			}

			if (p.w * p.h > avgSqr * 0.8) {
				if (p.p == 'jpg') {
					return p.s;
				}

				if (firstJpg == firstIm && p.p == 'jpg') {
					firstJpg = k;
				}

				if (firstNJpg == 0 && p.p != 'jpg') {
					firstNJpg = k;
				}
			}

		}

		if (firstJpg != 0)
			return imageArr[firstJpg].s;
		if (firstNJpg != 0)
			return imageArr[firstNJpg].s;
		return imageArr[firstO].s;
	}

	function getMetaCover(){

		var allmeta = document.getElementsByTagName('meta');
		if(allmeta && allmeta.length>1){
			for(var i=0;i<allmeta.length;i++){
				var name = allmeta[i].getAttribute("property");
				if(allmeta[i].content != '' && (name == 'og:image' || name =="twitter:image") ){
					pusgNice(allmeta[i].content, imageArr,  800,  1250);
					return  true;
				}
			}
		}

		return false;
	}

	var metaUrl 	=	getMetaCover();
	/*如果有meta标签 记录了 直接用meta*/
	if (metaUrl){
		var im = returnBig(imageArr);
		if (im) {
			return appendVedio(im);
		}
	}

	var images = document.getElementsByTagName('img');

	gatherImage(images);
	if (Object.keys(imageArr).length > 0) {
		var im = returnBig(imageArr);
		if (im) {
			return appendVedio(im);
		}
	}

	var ico = getIco();
	if (ico) {
		return appendVedio(ico);
	}

	function saveTagImg(tagname, w, h) {
		var span = document.getElementsByTagName(tagname);
		if (span) {
			for (var i = 0; i < span.length; i++) {
				var url = checkCss(span[i]);
				if (url) {
					var dd = new Image();
					dd.src = url;
					var width = dd.naturalWidth || dd.width;
					var height = dd.naturalHeight || dd.height;
					pusgNice(url, imageArr, width || 50, height || 50);
				}
			}

		}
	}

	saveTagImg('span');

	if (Object.keys(imageArr).length == 0) {
		saveTagImg('i');
	}

	if (Object.keys(imageArr).length == 0) {
		saveTagImg('a');
	}

	if (Object.keys(imageArr).length == 0) {
		saveTagImg('div');
	}

	if (Object.keys(imageArr).length > 0) {
		return returnBig(imageArr);
	}

	if (Object.keys(smallPic).length > 0) {
		return returnBig(smallPic);
	}

})()
